const meta = require('./meta')
const script =  require('./script')
const style =  require('./style')
const addKeywords =  require('./keywords')
const addLink =  require('./link')
const addUrl = require('./url')

const { SingleNode } = require('als-document');

function getDescription(description,layout) {
   meta({ name: 'description', content: description },layout)
   meta({ property: 'og:description', content: description },layout)
   meta({ property: 'twitter:description', content: description },layout)
   return layout
}

function getFavicon(href,layout) {
   const faviconElement = layout.root.$('link[rel=icon][type=image/x-icon]')
   if (faviconElement) faviconElement.setAttribute('href', href)
   else layout.head.insert(2, new SingleNode('link', { rel: 'icon', href, type: 'image/x-icon' }))
   return layout
}

function getViewport(viewport = 'width=device-width, initial-scale=1.0',layout) {
   const element = layout.root.$('meta[name="viewport"]')
   if (element) element.setAttribute('content', viewport)
   else layout.head.insert(2, new SingleNode('meta', { name: 'viewport', content: viewport }))
   return layout
}

function getImage(image,layout) {
   meta({ property: 'og:image', content: image },layout)
   meta({ name: 'twitter:image', content: image },layout)
   meta({ name: 'twitter:card', content: 'summary_large_image' },layout)
   return layout
}

module.exports = { meta, getDescription, getFavicon, getViewport, getImage, script, style, addKeywords, addLink, addUrl }