const { SingleNode } = require('als-document');

function keywords(keywords = [],layout) {
   let keywordsElement = layout.root.$('meta[name=keywords]')
   if (!keywordsElement) keywordsElement = new SingleNode('meta', { name: 'keywords' })
   const content = keywordsElement.getAttribute('content')
   const existingKeywords = content ? content.split(',') : []
   keywords.forEach(keyword => {
      keyword = keyword.trim()
      if (!existingKeywords.includes(keyword)) existingKeywords.push(keyword)
   });
   if (existingKeywords.length) {
      keywordsElement.setAttribute('content', existingKeywords.join())
      layout.head.insert(2, keywordsElement)
   }
   return layout
}

module.exports = keywords