const UglifyJS = require("uglify-js");
const { Node } = require('als-document');

function script(attrs = {}, innerHTML = '', head = true, minified, layout) {
   if (typeof attrs !== 'object' || attrs === null || Array.isArray(attrs)) attrs = {}
   if (attrs.src) {
      const selector = `script[src="${attrs.src}"]`
      if (attrs.src && layout.root.$(selector)) return layout
   }
   if (Object.keys(attrs).length || innerHTML) {
      const script = new Node('script', attrs)
      if (innerHTML) {
         if (minified) {
            try { innerHTML = UglifyJS.minify(innerHTML).code } 
            catch (error) { layout.logger.error(error) }
         }
         script.innerHTML = innerHTML
      }
      if (head) layout.head.insert(2, script)
      else layout.html.insert(2, script)
   }
   return layout
}

module.exports = script