const uglifycss = require('uglifycss');
const { Node } = require('als-document');

function style(styles, minified, layout) {
   if (typeof styles !== 'string') throw 'styles parameter should be string';
   if (minified) {
      try { styles = uglifycss.processString(styles); } 
      catch (error) { layout.logger.error(error) }
   }
   let styleElement = layout.root.$('style')
   if (styleElement) styleElement.innerHTML = styleElement.innerHTML + '\n' + styles
   else {
      styleElement = new Node('style')
      styleElement.innerHTML = styles
      layout.head.insert(2, styleElement)
   }
   return layout
}

module.exports = style