const meta = require('./meta');
const { SingleNode } = require('als-document');

function addUrl(url, host,layout) {
   try {
      url = (host ? new URL(url, host) : new URL(url)).href.replace(/\/$/, '')
      meta({ property: 'og:url', content: url },layout)
      const canonicalElement = layout.root.$('link[rel="canonical"]')
      if (canonicalElement) canonicalElement.setAttribute('href', url)
      else layout.head.insert(2, new SingleNode('link', { rel: 'canonical', href: url }))
} catch (error) {
      console.log(error)
      layout.logger.log(`url "${url}" with host "${host}" is not valid url`)
   }
   return layout
}

module.exports = addUrl