const assert = require('assert');
const { describe, it,beforeEach } = require('node:test')
const Layout = require('../index');

describe('description and title', () => {
   let layout;

   beforeEach(() => layout = new Layout());

   it('should add description correctly', () => {
      const description = 'Test Description';
      layout.description(description);
      assert.strictEqual(layout.root.$('meta[name="description"]').getAttribute('content'), description, 'Description not set correctly');
      assert.strictEqual(layout.root.$('meta[property="og:description"]').getAttribute('content'), description, 'Description not set correctly');
      assert.strictEqual(layout.root.$('meta[property="twitter:description"]').getAttribute('content'), description, 'Description not set correctly');
   });

   it('should add title correctly', () => {
      const title = 'Test Title';
      layout.title(title);
      assert(layout.root.$('title').innerHTML === title, 'Title not set correctly');
      assert(layout.root.$('[property="og:title"]').getAttribute('content') === title, 'Title not set correctly');
   });

   it('should add title if no title tag', () => {
      layout.$('title').remove()
      const title = 'Test Title';
      layout.title(title);
      assert(layout.root.$('title').innerHTML === title, 'Title not set correctly');
      assert(layout.root.$('[property="og:title"]').getAttribute('content') === title, 'Title not set correctly');
   });

});
