const assert = require('assert');
const { describe, it,beforeEach } = require('node:test')
const Layout = require('../index');

describe('Image tests', () => {
   let layout;

   beforeEach(() => {
      layout = new Layout();
   });

   it('should add twitter:card meta tag', () => {
      const imageUrl = 'test-image.jpg';
      layout.image(imageUrl);
      assert.strictEqual(layout.root.$('meta[name="twitter:card"]').getAttribute('content'), 'summary_large_image', 'twitter:card not set correctly');
   });

   it('should add image correctly', () => {
      const imageUrl = 'test-image.jpg';
      layout.image(imageUrl);
      assert.strictEqual(layout.root.$('meta[property="og:image"]').getAttribute('content'), imageUrl, 'Image not set correctly');
      assert.strictEqual(layout.root.$('meta[name="twitter:image"]').getAttribute('content'), imageUrl, 'Image not set correctly');
   });

});
